Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IIOP
Class BiDirIIOPServiceContext

    java.lang.Object
      |
      +--org.omg.IIOP.BiDirIIOPServiceContext

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class BiDirIIOPServiceContext
extends java.lang.Object
implements IDLEntity

Struct definition : BiDirIIOPServiceContext

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`ListenPoint[]` | `listen_points` Struct member listen_points

Constructor Summary
`BiDirIIOPServiceContext()` Default constructor
`BiDirIIOPServiceContext(ListenPoint[] listen_points)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listen_points

    public ListenPoint[] listen_points

  Struct member listen_points

Constructor Detail

### BiDirIIOPServiceContext

    public BiDirIIOPServiceContext()

  Default constructor

### BiDirIIOPServiceContext

    public BiDirIIOPServiceContext(ListenPoint[] listen_points)

  Constructor with fields initialization
  Parameters:
    `listen_points` - listen_points struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD